commit 0361b4c440f7990702eccafca31e871ae096198c
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Sun Nov 10 20:15:13 2024 +0100

    testsuite: arm: Mark pr81812.C as xfail for thumb1
    
    Test fails for Cortex-M0 with:
    
    .../pr81812.C:6:8: error: generic thunk code fails for method 'virtual void ChildNode::_ZTv0_n12_NK9ChildNode5errorEz(...) const' which uses '...'
    
    According to PR108277, it's expected that thumb1 targets does not
    support empty virtual functions with ellipsis.
    
    gcc/testsuite/ChangeLog:
    
            * g++.dg/torture/pr81812.C: Add xfail for thumb1.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit f111d8e20b671ee97d4ed835102839e44a2a2edc)

diff --git a/gcc/testsuite/g++.dg/torture/pr81812.C b/gcc/testsuite/g++.dg/torture/pr81812.C
index d235e237588..b5c621d2beb 100644
--- a/gcc/testsuite/g++.dg/torture/pr81812.C
+++ b/gcc/testsuite/g++.dg/torture/pr81812.C
@@ -1,3 +1,5 @@
+// { dg-xfail-if "PR108277" { arm_thumb1 } }
+
 struct Error {
   virtual void error(... ) const;
 };

